跳转到主要内容
服务和应用/评测任务相关接口
PUTEvaluation Task APIs起始版本 5.1.8同步需要认证

部署模型评测任务

部署模型评测任务

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • uuidString

    资源的UUID,唯一标示该资源

请求体字段

  • limitsInteger必填

    限制

  • temperatureFloat

    温度

  • topKInteger

    返回结果数量上限。

  • topPFloat

    可选热点p。

  • maxLengthInteger

    最大长度

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successBoolean必填

    操作是否成功

  • errorErrorCode必填

    错误码,操作成功时该字段为null

  • inventoryModelEvalServiceInstanceGroupInventory必填

    模型评测服务实例组清单

    • uuidString必填

      资源的UUID,唯一标识该资源

    • modelServiceUuidString必填

      模型服务UUID

    • modelUuidString必填

      模型UUID

    • instancesList必填

      模型服务实例列表

    • datasetRefInventoriesList必填

      数据集引用列表

    • statusString必填

      实例组状态

    • modelServiceTypeString必填

      模型服务类型

    • typeString必填

      实例组类型

    • nameString必填

      实例组名称

    • descriptionString必填

      实例组描述

    • yamlString必填

      YAML配置

    • supportMetricsList必填

      支持的指标列表

    • exportPathString必填

      导出路径

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • limitsInteger必填

      限制数量

    • temperatureFloat必填

      温度参数

    • topKInteger必填

      Top K参数

    • topPFloat必填

      Top P参数

    • maxLengthInteger必填

      最大长度

    • maxNewTokensInteger必填

      最大新生成Token数量

    • repetitionPenaltyFloat必填

      重复惩罚参数

  • tasksList必填

    模型评测任务清单列表

    • uuidString必填

      资源的UUID,唯一标识该资源

    • nameString必填

      任务名称

    • typeString必填

      任务类型

    • descriptionString必填

      任务描述

    • percentageInteger必填

      任务进度百分比

    • opaqueString必填

      扩展信息

    • statusString必填

      任务状态

    • modelServiceGroupUuidString必填

      模型服务实例组UUID

    • evaluatedServiceGroupUuidString必填

      被评测服务实例组UUID

    • datasetUuidString必填

      数据集UUID

    • limitsInteger必填

      限制数量

    • maxNewTokensInteger必填

      最大新生成Token数量

    • topKInteger必填

      Top K参数

    • temperatureFloat必填

      温度参数

    • topPFloat必填

      Top P参数

    • promptString必填

      提示词

    • repetitionPenaltyFloat必填

      重复惩罚参数

    • maxLengthInteger必填

      最大长度

    • modelString必填

      模型名称

    • urlString必填

      服务URL

    • parallelInteger必填

      并发数

    • logEveryQueryInteger必填

      查询日志间隔

    • apiString必填

      API类型

    • requestHeadersMap必填

      请求头

    • connectTimeoutInteger必填

      连接超时时间

    • readTimeoutInteger必填

      读取超时时间

    • totalScoreDouble必填

      总分

    • endTimeTimestamp必填

      结束时间

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

请求地址

PUT/zstack/v1/ai/model-services/eval/{uuid}

/zstack/v1/ai/model-services/eval/{uuid}

操作 ID

DeployModelEvalService

永久链接

请求示例

curl -X PUT 'http://{host}/zstack/v1/ai/model-services/eval/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"limits":1,"temperature":1,"topK":1,"topP":1,"maxLength":1,"maxNewTokens":1,"repetitionPenalty":1,"description":"<description>","modelUuid":"<modelUuid>","zoneUuid":"<zoneUuid>","vmImageUuid":"<vmImageUuid>","primaryStorageUuid":"<primaryStorageUuid>","datasetUuids":["<datasetUuids>"],"modelServiceGroupUuids":["<modelServiceGroupUuids>"],"dockerImage":"<dockerImage>","cpuNum":1,"name":"<name>","type":"<type>","memorySize":1,"l3NetworkUuids":["<l3NetworkUuids>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"],"serviceBootUptime":1,"taskType":"<taskType>","prompt":"<prompt>","model":"<model>","url":"<url>","parallel":1,"logEveryQuery":1,"api":"<api>","requestHeaders":{},"connectTimeout":1,"readTimeout":1,"environmentVariables":{},"startupParameters":{},"clusterUuid":"<clusterUuid>","rootDiskOfferingUuid":"<rootDiskOfferingUuid>","rootDiskSize":1,"resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"],"serviceLivez":"<serviceLivez>","serviceReadyz":"<serviceReadyz>","requestCpuNum":1,"requestMemorySize":1,"projectUuid":"<projectUuid>"}'

响应示例

200
{ "inventory": { "uuid": "groupUuid", "name": "model-eval-service", "status": "Running" }, "tasks": [ { "uuid": "taskUuid", "name": "eval-task", "status": "Running" } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史